A valid request URL is required to generate request examples{
"total_count": 123,
"data": [
{
"status": "<string>",
"payment_methods": [
{
"type": "ExternalBilling",
"id": "<string>",
"active": true,
"primary": true,
"external_billing": {
"bill_receiver": "<string>",
"payment_channel": "<string>",
"financial_account": "<string>"
},
"merchant_accepted_payment": {
"payment_type": "<string>",
"account": "<string>"
},
"carrier_billing": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"status": "ACTIVE",
"metadata": {}
}
],
"id": "<string>",
"external_id": "<string>",
"partner_customer_id": "<string>",
"type": "<string>",
"email": "<string>",
"language": "<string>",
"name": "<string>",
"shipping_address": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"county": "<string>",
"district": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123
},
"metadata": {}
}
],
"url": "<string>",
"next": "<string>",
"previous": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Retrieve accounts according to criteria in query parameters
A valid request URL is required to generate request examples{
"total_count": 123,
"data": [
{
"status": "<string>",
"payment_methods": [
{
"type": "ExternalBilling",
"id": "<string>",
"active": true,
"primary": true,
"external_billing": {
"bill_receiver": "<string>",
"payment_channel": "<string>",
"financial_account": "<string>"
},
"merchant_accepted_payment": {
"payment_type": "<string>",
"account": "<string>"
},
"carrier_billing": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"status": "ACTIVE",
"metadata": {}
}
],
"id": "<string>",
"external_id": "<string>",
"partner_customer_id": "<string>",
"type": "<string>",
"email": "<string>",
"language": "<string>",
"name": "<string>",
"shipping_address": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"county": "<string>",
"district": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123
},
"metadata": {}
}
],
"url": "<string>",
"next": "<string>",
"previous": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
The authorization key obtained from the CSP organization.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
x >= 1A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
An identifier that can be used to locate an aggregator customer account.
256^[0-9]{10}$The type of a customer account identifier.
ban, msisdn, email, stbtoken, esn 20Indicates whether or not to return any existing child accounts.
Response
An account object.
A list of Aggregator Accounts.
Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Subscription object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Subscriptions object (string to select the “previous”); included id should match that of the first object returned here.
Was this page helpful?

